| threaddb 2.0 A file mapped memory container extension

Public Types | Public Member Functions | Friends | List of all members
tdb::Box< T, D > Class Template Reference

Box basic class definition. More...

`#include <threaddbRGrid.h>`

## Public Types
typedef Point< T, D > | Point_

## Public Member Functions
| Box ()
| Box (const Point_ &rMin_p, const Point_ &rMax_p)
const Point_ & | min_corner () const
Point_ & | min_corner ()
const Point_ & | max_corner () const
Point_ & | max_corner ()

## Friends
std::ostream & | operator<< (std::ostream &os, const Box &L)
std::istream & | operator>> (std::istream &is, Box &L)

## Detailed Description

### template<class T, size_t D>
class tdb::Box< T, D >

Box basic class definition.

## Member Typedef Documentation

## ◆ Point_

template<class T, size_t D>

typedef Point<T, D> tdb::Box< T, D >::Point_

## Constructor & Destructor Documentation

## ◆ Box() [1/2]

template<class T, size_t D>

tdb::Box< T, D >::Box | ( |  | ) |
| inline

## ◆ Box() [2/2]

template<class T, size_t D>

tdb::Box< T, D >::Box | ( | const Point_ & | rMin_p,
|  | const Point_ & | rMax_p
| ) |  |
| inline

## Member Function Documentation

## ◆ max_corner() [1/2]

template<class T, size_t D>

Point_& tdb::Box< T, D >::max_corner | ( |  | ) |
| inline

## ◆ max_corner() [2/2]

template<class T, size_t D>

const Point_& tdb::Box< T, D >::max_corner | ( |  | ) | const
| inline

## ◆ min_corner() [1/2]

template<class T, size_t D>

Point_& tdb::Box< T, D >::min_corner | ( |  | ) |
| inline

## ◆ min_corner() [2/2]

template<class T, size_t D>

const Point_& tdb::Box< T, D >::min_corner | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

template<class T, size_t D>

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Box< T, D > & | L
| ) |  |
| friend

## ◆ operator>>

template<class T, size_t D>

std::istream& operator>> | ( | std::istream & | is,
|  | Box< T, D > & | L
| ) |  |
| friend

The documentation for this class was generated from the following file:

- B:/threaddbwc/branches/threaddb-2.0/1stParty/threaddb/public/threaddbRGrid.h